> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usenumero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Betting

> Fund customer accounts on major Nigerian betting platforms.

Fund customer accounts on major Nigerian betting platforms.

## Get Betting Billers

Retrieve the list of supported betting platforms.

```
GET /api/v1/business/vas/betting/billers
```

**Signature required:** No

### Request example

```bash theme={null}
curl -X GET "https://api.usenumero.com/numeroaccount/api/v1/business/vas/betting/billers" \
  -H "X-Numero-Api-Key: your_api_key" \
```

### Response

```json theme={null}
{
  "data": {
    "billers": [
      {
        "itemCode": "BET9JA",
        "itemName": "Bet9ja",
        "category": "betting"
      },
      {
        "itemCode": "SPORTYBET",
        "itemName": "SportyBet",
        "category": "betting"
      }
    ]
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```

***

## Validate Betting Account

Verify a customer's betting account before funding.

```
POST /api/v1/business/vas/betting/validate
```

**Signature required:** Yes

### Request body

| Field        | Type   | Required | Description                               |
| ------------ | ------ | -------- | ----------------------------------------- |
| `type`       | string | Yes      | Betting platform code (from billers list) |
| `customerId` | string | Yes      | Customer's betting account ID             |

### Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/vas/betting/validate" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -d '{
    "type": "BET9JA",
    "customerId": "12345678"
  }'
```

### Response

```json theme={null}
{
  "data": {
    "message": "Validation successful",
    "data": {
      "customerName": "John Doe",
      "customerId": "12345678"
    }
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```

***

## Fund Betting Account

Deposit funds into a validated betting account.

```
POST /api/v1/business/vas/betting/fund
```

**Signature required:** Yes

### Request body

| Field        | Type   | Required | Description                       |
| ------------ | ------ | -------- | --------------------------------- |
| `reference`  | string | Yes      | Your unique transaction reference |
| `type`       | string | Yes      | Betting platform code             |
| `customerId` | string | Yes      | Customer's betting account ID     |
| `name`       | string | Yes      | Customer's name                   |
| `amount`     | number | Yes      | Amount in Naira                   |

### Request example

```bash theme={null}
curl -X POST "https://api.usenumero.com/numeroaccount/api/v1/business/vas/betting/fund" \
  -H "Content-Type: application/json" \
  -H "X-Numero-Api-Key: your_api_key" \
  -H "X-Numero-Signature: $SIGNATURE" \
  -H "X-Numero-Signature-Version: v2" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "reference": "BET-20240115-001",
    "type": "BET9JA",
    "customerId": "12345678",
    "name": "John Doe",
    "amount": 2000
  }'
```

### Response

```json theme={null}
{
  "data": {
    "message": "Funding successful",
    "reference": "BET-20240115-001",
    "data": {
      "customerId": "12345678",
      "amount": 2000
    }
  },
  "error": null,
  "meta": {
    "request_id": "req_365123ebc73323f1482508560ce6400e",
    "pagination": null
  }
}
```
